summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoribrokemypie2018-01-27 19:52:13 +1100
committeribrokemypie2018-01-27 19:52:13 +1100
commit868ca22966656b7e89d4bb2e89fc627a4ea77d89 (patch)
tree869a20f0cbfc17bc5ae9dc4316d1da6a9cde466a
downloadaur-868ca22966656b7e89d4bb2e89fc627a4ea77d89.tar.gz
initial commit
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD29
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..648dce3a480
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = eidolon-git
+ pkgdesc = Provides a single TUI-based registry for drm-free, wine and steam games on linux, accessed through a rofi launch menu.
+ pkgver = r64.6d949a8
+ pkgrel = 1
+ url = https://github.com/nicohman/eidolon
+ arch = any
+ license = GPL
+ makedepends = rust
+ makedepends = cargo
+ depends = rofi
+ conflicts = eidolon
+ source = git+https://github.com/nicohman/eidolon.git
+ sha256sums = SKIP
+
+pkgname = eidolon-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..9385b9b340a
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+pkgname="eidolon-git"
+_pkgname="eidolon"
+pkgver=r64.6d949a8
+pkgrel=1
+pkgdesc="Provides a single TUI-based registry for drm-free, wine and steam games on linux, accessed through a rofi launch menu."
+arch=('any')
+url="https://github.com/nicohman/eidolon"
+license=('GPL')
+makedepends=(rust cargo)
+depends=(rofi)
+conflicts=(eidolon)
+source=("git+https://github.com/nicohman/eidolon.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd ${_pkgname}
+ cargo build --release
+ install -d -m 755 ${pkgdir}/usr/bin
+ cp target/release/eidolon ${pkgdir}/usr/bin/eidolon
+}
+